ReactPhysics3D: reactphysics3d::CollisionDispatch Class Reference

| ReactPhysics3D v0.10.2 C++ Physics engine library

Loading...
Searching...
No Matches
Public Member Functions | List of all members
reactphysics3d::CollisionDispatch Class Reference

This is the collision dispatch configuration use in ReactPhysics3D. More...

`#include <include/reactphysics3d/collision/narrowphase/CollisionDispatch.h>`

## Public Member Functions
| CollisionDispatch (MemoryAllocator &allocator)
| Constructor.
| ~CollisionDispatch ()
| Destructor.
void | setSphereVsSphereAlgorithm (SphereVsSphereAlgorithm *algorithm)
| Set the Sphere vs Sphere narrow-phase collision detection algorithm.
SphereVsSphereAlgorithm * | getSphereVsSphereAlgorithm ()
| Get the Sphere vs Sphere narrow-phase collision detection algorithm.
void | setSphereVsCapsuleAlgorithm (SphereVsCapsuleAlgorithm *algorithm)
| Set the Sphere vs Capsule narrow-phase collision detection algorithm.
SphereVsCapsuleAlgorithm * | getSphereVsCapsuleAlgorithm ()
| Get the Sphere vs Capsule narrow-phase collision detection algorithm.
void | setCapsuleVsCapsuleAlgorithm (CapsuleVsCapsuleAlgorithm *algorithm)
| Set the Capsule vs Capsule narrow-phase collision detection algorithm.
CapsuleVsCapsuleAlgorithm * | getCapsuleVsCapsuleAlgorithm ()
| Get the Capsule vs Capsule narrow-phase collision detection algorithm.
void | setSphereVsConvexPolyhedronAlgorithm (SphereVsConvexPolyhedronAlgorithm *algorithm)
| Set the Sphere vs Convex Polyhedron narrow-phase collision detection algorithm.
SphereVsConvexPolyhedronAlgorithm * | getSphereVsConvexPolyhedronAlgorithm ()
| Get the Sphere vs Convex Polyhedron narrow-phase collision detection algorithm.
void | setCapsuleVsConvexPolyhedronAlgorithm (CapsuleVsConvexPolyhedronAlgorithm *algorithm)
| Set the Capsule vs Convex Polyhedron narrow-phase collision detection algorithm.
CapsuleVsConvexPolyhedronAlgorithm * | getCapsuleVsConvexPolyhedronAlgorithm ()
| Get the Capsule vs Convex Polyhedron narrow-phase collision detection algorithm.
void | setConvexPolyhedronVsConvexPolyhedronAlgorithm (ConvexPolyhedronVsConvexPolyhedronAlgorithm *algorithm)
| Set the Convex Polyhedron vs Convex Polyhedron narrow-phase collision detection algorithm.
ConvexPolyhedronVsConvexPolyhedronAlgorithm * | getConvexPolyhedronVsConvexPolyhedronAlgorithm ()
| Get the Convex Polyhedron vs Convex Polyhedron narrow-phase collision detection algorithm.
void | fillInCollisionMatrix ()
| Fill-in the collision detection matrix.
NarrowPhaseAlgorithmType | selectNarrowPhaseAlgorithm (const CollisionShapeType &shape1Type, const CollisionShapeType &shape2Type) const
| Return the corresponding narrow-phase algorithm type to use for two collision shapes.

## Detailed Description

This is the collision dispatch configuration use in ReactPhysics3D.

Collision dispatching decides which collision algorithm to use given two types of colliders.

The documentation for this class was generated from the following files:

- include/reactphysics3d/collision/narrowphase/CollisionDispatch.h
- src/collision/narrowphase/CollisionDispatch.cpp